introduce

Welcome to MagicTweak

What MagicTweak is
MagicTweak is a special program designed to optimize and personalize Microsoft Windows. It provides one-stop, instant access to a variety of Windows settings that can be altered for a friendlier Windows environment.This unique software makes it easy to tweak hundreds of hidden settings in Windows XP/2000/Me/98, so there is no longer any need to dig through the registry looking for that specific setting (from Start Menu,Desktop,IE skin,System Icon to System Security) that just doesn't seem to be there. With the ability to customize almost any aspect of Windows, you can become a Windows expert almost instantly!

Feature highlights include
  • The ability to tweak almost any aspect of Microsoft Windows XP/2000/Me/98.
  • A user-friendly interface makes it easy for anyone to use MagicTweak.
  • Optimize your internet connection speed.
  • Control startup items.
  • Enable several hidden performance options of Windows.
  • A more efficient way to uninstall programs.
  • Display a list of all running programs and allows you to force-quit frozen applications.
  • Clean up all the unwanted history data on your computer to protect your privacy.
  • Find and remove unnecessary files on your harddisc.
  • . . . . . .


Install and Remove

Install and Remove MagicTweak

System requirements
  • Any PC running Microsoft(r) Windows(r) XP/2000/Millennium Edition (ME)/98 Second Edition/98.
  • 16 MB RAM and 1MB of free hard disk space.
  • A mouse or equivalent pointing device.
  • High Color display is recommended.

    Install
    Please extract all contained files of the zip archive you have downloaded into a temporary folder, then run setup.exe and follow the prompts.

    Remove
    To remove MagicTweak installation,use the Add/Remove Programs icon in Windows Control Panel (usually it can be reached via Start menu -> Settings). Please refer to Windows Help for details.

    You must exit MagicTweak and all its associated utilities before attempting to uninstall the software. Otherwise, some files may remain in your system, or unnecessary reboot may be initiated.


Frequently Asked Questions

  • What is MagicTweak?
  • Which operating systems are supported by MagicTweak?
  • Does MagicTweak work on Mac systems?
  • Lost Registration Info Policy?
  • Do I need to uninstall previous versions before installing an updated version?
  • How do I uninstall MagicTweak?
  • How much does MagicTweak cost?
  • How can I register MagicTweak?
  • What are the advantages of registering?

What is MagicTweak?
MagicTweak is a special program designed to optimize and personalize Microsoft Windows. This unique software makes it easy to tweak hundreds of hidden settings in Windows 98/Me/2000/XP, so there is no longer any need to dig through the registry looking for that specific setting that just doesn't seem to be there.

Which operating systems are supported by MagicTweak?
MagicTweak runs only under Microsoft Windows XP,2000,Me,98/98 Second Edition.

Does MagicTweak work on Mac systems?
Our development team is focusing on PC products at this time. We realize there is a need for Mac support as well, however, our development budget has not yet allowed for us to expand into Mac development. As EFREESKY SOFTWARE grows, we hope to expand our technology!

Lost Registration Info Policy?
If you register and, for whatever reason, you do not receive an e-mail us with a registration info or if you are reformatted your hard drive and cannot find your registration info, simply e-mail and We will send your registration code. (Please include your Order# or as much order information as possible, as it will be easier to locate your order in the database.)

Do I need to uninstall previous versions before installing an updated version?
Yes please uninstall all previous versions before installing an update.

How do I uninstall MagicTweak?
It is very easy to uninstall MagicTweak through the Control panel-Add/Remove-MagicTweak.

How much does MagicTweak cost?
Single User License is only $29.95 USD.
Important: additional licenses are needed if you plan to use MagicTweak on more than one computer.

How can I register MagicTweak?
Use this link to purchase it online:
http://www.regsoft.net/purchase.php3?productid=38408
You'll usually receive your registration code within 24 hours.

What are the advantages of registering?
  • Unlimited usage.
  • Full access to all options.
  • Free technical support.
  • Free upgrades.


register

How to Buy

Registration of MagicTweak is only $29.95 USD!(per license)

MagicTweak can be registered at http://www.Regsoft.com(Product ID:38408). You may use the following card to order:

Visa
MasterCard
American Express
Discover
Eurocard

Detail Price

License Name | Price | Discount | Order Online | Order Offline
Single User License | US$29.95 | %0 | Buy Single User License | Click here
2 Users License | US$49.95 | %15 | Buy 2 Users License | Click here
5 Users License | US$99.95 | %35 | Buy 5 Users License | Click here
10 Users License | US$149.95 | %50 | Buy 10 Users License | Click here
20 Users License | US$249.95 | %60 | Buy 20 Users License | Click here
50 Users License | US$449.95 | %70 | Buy 50 Users License | Click here
Corporate/Site License | US$799.95 |  | Buy Corporate/Site License | Click here

General Information : (Product ID:38408)
RegSoft.com Phone Order Line - available 24/7 (Orders ONLY) :
U.S. and Canada : 1-877-REGSOFT (1-877-734-7638)
International : 1-770-319-2718

RegSoft.com Fax Order Line - available 24/7 :
US Toll-Free Fax Number : 1-800-886-6030
International Fax Number : 1-208-279-3837
(UK Customers can fax to (0870)132-2485)

RegSoft.com Address for Registrations :
RegSoft.com Inc.
10820 Abbotts Bridge Road
PMB 201, Suite 220
Duluth, GA 30097
Attn : Registrations

Note: If you've made a payment but have not received a confirmation letter and registration key within a reasonable amount of time (24 hours for credit card payments or two weeks for other payments), please notify us via e-mail at sales@magictweak.com. Please note that a delay could mean that the e-mail address given in your order form is invalid (due to misspelling, etc.). We apologize for any inconvenience caused by these delays.


How to Register

You will get a registration name and a registration number from us after you ordered MagicTweak.

Enter your registration information following these steps:

1.Running MagicTweak.

2.A registration dialog box will appear before the main window.

3.If your MagicTweak is running,select "About"Section and press the "Enter Code" button, a registration dialog box will appear.

3.Copy and paste the registration information exactly as what you've got.

IMPORTANT: Please copy and paste the registration name and registration number to the registration dialog and DON'T type it manually because it's difficult to distinguish the letter "l" (lower case of "L") from "1" (one) and "o" from "0" (zero), etc.

4.Press "Register" button.

When the registration information was accepted, you can use MagicTweak with no time restrictions.

If you have any problem,please fell free to contact us by sending e-mail to: support@magictweak.com.


End-User Software License Agreement

MagicTweak For Windows XP/2000/Me/98

Copyright (C) 2000 - 2003 Efreesky Software.All Rights Reserved.

By receiving and/or using MagicTweak, you accept the following Evaluation and Registered User Agreement. This agreement is a binding legal agreement between Efreesky Software. and the purchasers, users or evaluators of MagicTweak.If you do not intend to honor this agreement, remove installed MagicTweak from your computer.

Evaluation (Unregistered) and Registered User Agreement
1. Unregistered shareware use
You may evaluate the Shareware program for maximum of 15 days, after which you must register the program or remove the software from your computer. You may allow other users to evaluate copies of the unregistered Shareware. All evaluation users are subject to the terms of this agreement.

2. Usage and distribution restrictions
The evaluator/user/buyer/owner may not use or distribute MagicTweak for any unlawful purpose. The evaluator/user/buyer/owner is not allowed to attempt to reverse engineer, disassemble or de-compile MagicTweak and products.

3. Limitation of responsibility The evaluator/user/buyer/owner of MagicTweak will indemnify, hold harmless, and defend Efreesky Software against lawsuits, claims, costs associated with defense or accusations that result from the use of MagicTweak.
Efreesky Software is not responsible for any damages whatsoever, including loss of information, interruption of business, personal injury and/or any damage or consequential damage without limitation, incurred before, during or after the use of our products.
The sale of and or distribution of registered copies of this software is strictly forbidden. It is a violation of this agreement to loan, rent, lease, borrow, or transfer the use of registered copies of MagicTweak.

Distribution

DISTRIBUTION OF UNREGISTERED TIMES LIMITED DEMO OF MagicTweak . Provided that you verify that you are distributing the TIMES LIMITED DEMO Version you are hereby licensed to (a) make as many copies of the TIMES LIMITED DEMO version of this software and documentation as you wish; (b) give exact copies of the original TIMES LIMITED DEMO version to anyone; and (c) distribute the TIMES LIMITED DEMO version of the software and documentation in its unmodified form via electronic means.
There is no charge for any of the above.
DISTRIBUTION OF REGISTERED OR LICENSED VERSIONS OF MagicTweak PROHIBITED. You may not, for any purpose, distribute copies of registered or licensed versions of the software , documentation or related materials to any third-parties.

Disclaimer

MagicTweak IS PROVIDED AS IS EFREESKY SOFTWARE. will in no way be responsible, in financial or any other terms, for damages (either consequential or incidental) resulting from the use or misuse of MagicTweak or from following directions in this document. No warrantee as to fitness to a particular purpose is given or implied.
Because of the wide variety of hardware and software combinations available today, it is up to the user to ensure that MagicTweak functions well in his or her environment. The user must assume the entire risk of using the product.


Contact Infomation

MagicTweak Website
Please visit MagicTweak web site if you want to get more information or download the latest version of MagicTweak.
http://www.magictweak.com

Support
Please forward any comments or suggestions to us at the following address:
support@magictweak.com


Important Information About Your Download

The official MagicTweak Download page is:
http://www.magictweak.com/download.htm
At the top of the Download page the latest version number is listed.
To check the version number of your program, start the program and go to the about window to view the full version number.

MagicTweak version numbers are made of two parts: Major Version and Minor Version.

What is a Major Version?

The Major Version is before and after the first dot in the version number. E.g. v1.0

What is a Minor Version?

Minor Versions contain small changes, normally bug-fix patches.
The Minor Version begins at the second digit.
Example of Minor Versions: E.g. v1.05 is Major Version 1.0, Minor Version 5

Where to get the latest version

The MagicTweak World Wide Web site always carries the latest version. Connect to our web-site at the address above.
If you have a problem or error message, please visit the Support page on our web site.


How To Install Upgrades

MagicTweak is upgraded often. Connect to the Internet and click our downloads page to see what's new.

Upgrades cannot be installed when an existing version is running.

On the Windows Taskbar at the lower edge of your screen, look to the right for the System Tray. If the MagicTweak's icon is visible click it and choose "Exit MagicTweak" before installing upgrades.